#
# spec file for package libArcus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 3
Name:           libArcus
Version:        3.6.0
Release:        lp152.3.10
Summary:        3D printer control software
License:        LGPL-3.0-only
Group:          Development/Libraries/C and C++
Url:            http://github.com/Ultimaker/%name
Source:         %name-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  protobuf-devel >= 3.0.0
BuildRequires:  python3-sip-devel

%description
Communication library between internal components for Ultimaker software

%package -n %name%{sover}
Provides:       %{name}-lulzbot%{sover}
Obsoletes:      %{name}-lulzbot%{sover} < 3.6.0
Summary:        3D printer control software
Group:          System/Libraries

%description -n %name%{sover}
Communication library between internal components for Ultimaker software

%package devel
Summary:        Header files for libArcus
Group:          Development/Libraries/C and C++
Requires:       libArcus%{sover} = %{version}
Requires:       protobuf-devel >= 3.0.0
Requires:       python3-sip-devel

%description devel
The %{name}-devel package includes the header files, libraries and development
tools necessary for compiling and linking programs which use %{name}.

%prep
%setup

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%post   -n %name%{sover} -p /sbin/ldconfig

%postun -n %name%{sover} -p /sbin/ldconfig

%files devel
%doc TODO.md
%{_includedir}/Arcus
%{_libdir}/cmake/Arcus
%{_libdir}/libArcus.so

%files -n %name%{sover}
%license LICENSE
%doc README.md
%{python3_sitearch}/Arcus.so
%{_libdir}/libArcus.so.*

%changelog
* Fri Jan 18 2019 Adrian Schröter <adrian@suse.de>
- obsolete libArcus3-lulzbot
  (patched lulzbot edition to work with upstream libArcus)
* Fri Nov 16 2018 Adrian Schröter <adrian@suse.de>
- version update to 3.6.0
  * version change only
* Wed Oct 17 2018 Adrian Schröter <adrian@suse.de>
- version update to 3.5.1
  * version change only
* Fri Jul 27 2018 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use.
- Fix RPM groups.
* Mon Jul 16 2018 adrian@suse.de
- update to version 3.4.1
  * version update only
* Mon Jul  9 2018 adrian@suse.de
- update to version 3.3.0
  * no release notes
* Sat Jan 27 2018 stefan.bruens@rwth-aachen.de
- adapt directories, the binary python module is installed in the
  correct location now, i.e. %%{python_sitearch}
* Thu Jan 25 2018 adrian@suse.de
- update to 3.1.0
* Fri Dec  8 2017 stefan.bruens@rwth-aachen.de
- Fix License, Cura 3.0 and libraries are LGPL-3.0 now
* Thu Dec  7 2017 stefan.bruens@rwth-aachen.de
- Revert majority of previos changes, which not only updated the
  version, but reverted the previous cleanup
* Fri Nov  3 2017 adrian@suse.de
- update to version 3.0.3
* Tue Sep 12 2017 stefan.bruens@rwth-aachen.de
- Cleanup spec file
* Mon Sep  4 2017 adrian@suse.de
- update to version 2.7.0
* Mon Jun 26 2017 adrian@suse.de
- switch to stable version 2.6.0
* Mon Jun 20 2016 adrian@suse.de
- initial package of git master version
  (stable ones need old development snapshots for protobuf)
